# Replacements
This file lists all things that cannot be migrated to Nukkit and was replaced by other.

See also [the list of missing features](MISSING_FEATURES.md).

## Items

| Name                   | Replacement   | Unsupported by  |
| ---------------------- | ------------- | --------------- |
| flower_banner_pattern  | air           | Nukkit          |
| creeper_banner_pattern | air           | Nukkit          |
| skull_banner_pattern   | air           | Nukkit          |
| mojang_banner_pattern  | air           | Nukkit          |
| globe_banner_pattern   | air           | Bedrock Edition |
| spruce_sign            | oak_sign      | Nukkit          |
| birch_sign             | oak_sign      | Nukkit          |
| jungle_sign            | oak_sign      | Nukkit          |
| acacia_sign            | oak_sign      | Nukkit          |
| dark_oak_sign          | oak_sign      | Nukkit          |
| shield                 | air           | Nukkit          |
| crossbow               | bow           | Nukkit          |
| sweet_berries          | cookies       | Nukkit          |
| Potions of Slowness IV | Potion of Slowness I | Bedrock Edition |
| Uncraftable Potion     | Water Potion  | Bedrock Edition |
| Potions of Lucky       | Water Potion  | Bedrock Edition |
| Arrow of Slowness IV | Arrow of Slowness I | Bedrock Edition |
| Arrow of Lucky         | Regular Arrow | Bedrock Edition |
| Spectral Arrow         | Regular Arrow | Bedrock Edition |

## Blocks

| Name                    | Replacement    | Unsupported by  |
| ----------------------- | -------------- | --------------- |
| wither_rose             | air            | Bedrock Edition |
| structure_void          | air            | Bedrock Edition |
| void_air                | air            | Bedrock Edition |
| cave_air                | air            | Bedrock Edition |
| dead_tube_coral (in water) | water       | Bedrock Edition |
| dead_tube_coral (in air) | air           | Bedrock Edition |
| dead_brain_coral (in water) | water      | Bedrock Edition |
| dead_brain_coral (in air) | air          | Bedrock Edition |
| dead_fire_coral (in water) | water       | Bedrock Edition |
| dead_fire_coral (in air) | air           | Bedrock Edition |
| dead_horn_coral (in water) | water       | Bedrock Edition |
| dead_horn_coral (in air) | air           | Bedrock Edition |
| item_frame (facing down/up) | air        | Bedrock Edition |
| command                 | crafting_table    | Nukkit       |
| repeating_command_block | crafting          | Nukkit       |
| chain_command_block     | crafting          | Nukkit       |
| structure_block         | purpur_block      | Nukkit       |
| seagrass                | water             | Nukkit       |
| kelp                    | water             | Nukkit       |
| bubble_column           | water             | Nukkit       |
| bamboo                  | sugarcane         | Nukkit       |
| bamboo_sapling          | sugarcane         | Nukkit       |
| scaffolding             | ladder (floating) | Nukkit       |
| mossy_stone_brick_slab  | stone_brick_slab  | Nukkit       |
| smooth_quartz_slab      | quartz_slab       | Nukkit       |
| stone_slab              | smooth_stone_slab | Nukkit       |
| cut_sandstone_slab      | sandstone_slab    | Nukkit       |
| cut_red_sandstone_slab  | red_sandstone_slab| Nukkit       |
| smooth_stone            | smooth_stone_slab (double) | Nukkit |
| spruce_sign             | oak_sign          | Nukkit       |
| spruce_wall_sign        | oak_wall_sign     | Nukkit       |
| spruce_wall_sign        | oak_wall_sign     | Nukkit       |
| birch_sign              | oak_sign          | Nukkit       |
| birch_wall_sign         | oak_wall_sign     | Nukkit       |
| jungle_sign             | oak_sign          | Nukkit       |
| jungle_wall_sign        | oak_wall_sign     | Nukkit       |
| acacia_sign             | oak_sign          | Nukkit       |
| acacia_wall_sign        | oak_wall_sign     | Nukkit       |
| dark_oak_sign           | oak_sign          | Nukkit       |
| dark_oak_wall_sign      | oak_wall_sign     | Nukkit       |
| grindstone              | crafting_table    | Nukkit       |
| smoker                  | furnace           | Nukkit       |
| cartography_table       | crafting_table    | Nukkit       |
| barrel                  | chest             | Nukkit       |
| sweet_berry_bush        | grass             | Nukkit       |
| campfire (lit)          | magma             | Nukkit       |
| campfire (unlit)        | obsidian          | Nukkit       |
| jigsaw                  | purpur_block      | Nukkit       |
| lantern (floor)         | standing torch    | Nukkit       |
| lantern (celling)       | glowstone         | Nukkit       |
| lectern                 | crafting_table    | Nukkit       |
| blast_furnace           | furnace           | Nukkit       |
| fletching_table         | crafting_table    | Nukkit       |
| smithing_table          | crafting_table    | Nukkit       |
| stone_cutter            | enchanting_table  | Nukkit       |
| loom                    | crafting_table    | Nukkit       |
| composter               | cauldron          | Nukkit       |
| bell (on floor)         | anvil             | Nukkit       |
| bell (on wall and celling) | stone brick wall | Nukkit     |
| prismarine_stairs       | cobblestone_stairs  | Nukkit     |
| dark_prismarine_stairs  | stone_brick_stairs  | Nukkit     |
| prismarine_brick_stairs | mossy_stone_brick_stairs | Nukkit|
| stripped_spruce_log     | spruce_log        | Nukkit       |
| stripped_birch_log      | birch_log         | Nukkit       |
| stripped_jungle_log     | jungle_log        | Nukkit       |
| stripped_acacia_log     | acacia_log        | Nukkit       |
| stripped_dark_oak_log   | dark_oak_log      | Nukkit       |
| stripped_oak_log        | oak_log           | Nukkit       |
| blue_ice                | packed_ice        | Nukkit       |
| tube_coral              | water             | Nukkit       |
| tube_coral_block        | water             | Nukkit       |
| tube_coral_fan          | water             | Nukkit       |
| bubble_coral_wall_fan   | water             | Nukkit       |
| horn_coral_wall_fan     | water             | Nukkit       |
| dried_kelp_block        | coal_block        | Nukkit       |
| acacia_button           | oak_button        | Nukkit       |
| birch_button            | oak_button        | Nukkit       |
| dark_oak_button         | oak_button        | Nukkit       |
| jungle_button           | oak_button        | Nukkit       |
| spruce_button           | oak_button        | Nukkit       |
| acacia_trapdoor         | oak_trapdoor      | Nukkit       |
| birch_trapdoor          | oak_trapdoor      | Nukkit       |
| jungle_trapdoor         | oak_trapdoor      | Nukkit       |
| acacia_pressure_plate   | oak_pressure_plate| Nukkit       |
| birch_pressure_plate    | oak_pressure_plate| Nukkit       |
| dark_oak_pressure_plate | oak_pressure_plate| Nukkit       |
| jungle_pressure_plate   | oak_pressure_plate| Nukkit       |
| spruce_pressure_plate   | oak_pressure_plate| Nukkit       |
| carved_pumpkin          | pumpkin           | Nukkit       |
| sea_pickle (waterlogged)| water             | Nukkit       |
| sea_pickle (non-water)  | air               | Nukkit       |
| conduit                 | water             | Nukkit       |
| turtle_egg              | air               | Nukkit       |
| end_stone_brick_slab    | smooth_sandstone_slab | Nukkit   |
| smooth_red_sandstone_slab | red_sandstone_slab | Nukkit    |
| polished_andesite_slab  | smooth_stone_slab | Nukkit       |
| andesite_slab           | smooth_stone_slab | Nukkit       |
| diorite_slab            | quartz_slab       | Nukkit       |
| polished_diorite_slab   | quartz_slab       | Nukkit       |
| granite_slab            | brick_slab        | Nukkit       |
| granite_slab            | brick_slab        | Nukkit       |
| polished_granite_slab   | red_sandstone_slab| Nukkit       |
| polished_granite_slab   | red_sandstone_slab| Nukkit       |
| granite_stairs          | brick_stairs      | Nukkit       |
| diorite_stairs          | brick_stairs      | Nukkit       |
| andesite_stairs         | cobblestone_stairs| Nukkit       |
| polished_granite_stairs | red_sandstone_stairs| Nukkit     |
| polished_diorite_stairs | brick_stairs        | Nukkit     |
| polished_andesite_stairs | stone_brick_stairs | Nukkit     |
| mossy_stone_brick_stairs | stone_brick_stairs | Nukkit     |
| smooth_red_sandstone_stairs | red_sandstone_stairs | Nukkit|
| smooth_sandstone_stairs | sandstone_stairs  | Nukkit       |
| end_stone_brick_stairs  | sandstone_stairs  | Nukkit       |
| mossy_coblestone_stairs | cobblestone_stairs| Nukkit       |
| stone_stairs            | stone_brick_stairs| Nukkit       |
| red_nether_brick_stairs | nether_brick_stairs | Nukkit     |
| smooth_quartz_stairs    | quartz_stairs     | Nukkit       |
| barrier                 | invisible_bedrock | Nukkit       |
| dark_oak_trapdoor       | oak_trapdoor      | Nukkit       |
| spruce_trapdoor         | oak_trapdoor      | Nukkit       |

## Entities

| Name                    | Replacement    | Unsupported by  |
| ----------------------- | -------------- | --------------- |
| spectral_arrow          | arrow          | Bedrock Edition |


## Biomes

| Name                    | Replacement    | Unsupported by  |
| the_end                 | nether         | Nukkit          |
| end_midlands            | nether         | Nukkit          |
| end_highlands           | nether         | Nukkit          |
| end_barrens             | nether         | Nukkit          |
| warm_ocean              | ocean          | Nukkit          |
| lukewarm_ocean          | ocean          | Nukkit          |
| cold_ocean              | ocean          | Nukkit          |
| deep_warm_ocean         | deep_ocean     | Nukkit          |
| deep_lukewarm_ocean     | deep_ocean     | Nukkit          |
| deep_cold_ocean         | deep_ocean     | Nukkit          |
| the_void                | plains         | Nukkit          |
| snowy_mountains         | snowy_tundra   | Nukkit          |
| bamboo_jungle           | jungle         | Nukkit          |
| bamboo_jungle_hills     | jungle_hills   | Nukkit          |
